コード例 #1
0
ファイル: motor.py プロジェクト: DanNixon/HackyRacer
def mountable_face():
    outer = sp.circle(d=body_diameter)

    shaft_cutout = sp.circle(d=shaft_surround_diam)

    mounting_holes = place_at_centres([mounting_hole_centres, 0],
                                      sp.circle(d=mounting_hole_diameter))

    vent_holes = place_n_at_x_around(8, vent_holes_centres / 2.,
                                     sp.circle(d=vent_holes_diameter))

    return sp.union()(
        shaft_cutout,
        mounting_holes,
        vent_holes,
    )
コード例 #2
0
ファイル: wheel.py プロジェクト: DanNixon/HackyRacer
def place_mounting_holes(obj):
    return place_n_at_x_around(3, 20, obj)
コード例 #3
0
def mounting_holes():
    return place_n_at_x_around(
        4, 35.,
        sp.cylinder(d=bolt_hole_diameter, h=thickness + 1., center=True)
    )
コード例 #4
0
ファイル: arm.py プロジェクト: DanNixon/HackyRacer
def place_mounting_holes(obj):
    return sp.rotate(
        (0., 0., 60.))(place_n_at_x_around(3, mounting_hole_offset, obj))